Search Results for

Show / Hide Table of Contents

# Class SdkConfig

Data container for writeable properties of ISdkProxy.

##### Inheritance

object
SdkConfig

##### Inherited Members

object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public class SdkConfig

##### Remarks

For exposing controls via Unity Editor.

### Fields

#### adRequestTimeout

Gets or sets timeout for creative requests.

##### Declaration

    [Tooltip("The time interval allowed for a creative to load before it is considered a failure.")]
    public SerializableOptional<float> adRequestTimeout

##### Field Value

Type | Description
--- | ---
SerializableOptional<float> | The time interval allowed for a creative to load before it is considered a failure.

##### Remarks

In seconds

##### See Also

AdRequestTimeout

#### adRequestTimeoutPreRenderContent

Gets or sets timeout for video and interstitial creatves.

##### Declaration

    [Tooltip("The time interval allowed for video and interstitial creatives to load.")]
    public SerializableOptional<float> adRequestTimeoutPreRenderContent

##### Field Value

Type | Description
--- | ---
SerializableOptional<float> | The time interval allowed for video and interstitial creatives to load.

##### Remarks

In seconds

##### See Also

AdRequestTimeoutPreRenderContent

#### assignNativeAssetID

Gets or sets whether the asset ID for native ads should be manually assigned.

##### Declaration

    [Tooltip("Determines whether the asset ID for native ads should be manually assigned.")]
    public OptionalBool assignNativeAssetID

##### Field Value

Type | Description
--- | ---
OptionalBool | `true` if IDs should be assigned automatically, `false` if manually.

##### See Also

AssignNativeAssetID

#### debugRequests

Gets or sets debug mode for requests.

##### Declaration

    [Tooltip("Enables or disables debug mode for requests.")]
    public OptionalBool debugRequests

##### Field Value

Type | Description
--- | ---
OptionalBool | `true` if debug mode is enabled, `false` otherwise

##### See Also

DebugRequests

#### endpointID

Gets or sets endpoint ID for ads.

##### Declaration

    [Tooltip("A unique identifier generated on the platform’s UI.")]
    public string? endpointID

##### Field Value

Type | Description
--- | ---
string | A unique identifier generated on the platform’s UI.

##### See Also

EndpointID

#### externalUserIds

Gets or sets external IDs of the user.

##### Declaration

    [Tooltip("External IDs of the user that could be used for ad targeting.")]
    public List<ExternalUserID>? externalUserIds

##### Field Value

Type | Description
--- | ---
List<ExternalUserID> | External IDs of the user that could be used for ad targeting.

##### Remarks

See https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md

##### See Also

ExternalUserID
ExternalUserIds
ExternalUserIds

#### logLevel

Gets or sets the log level for native library.

##### Declaration

    [Tooltip("Sets the desired verbosity of the logs.")]
    public SerializableOptional<LogLevel> logLevel

##### Field Value

Type | Description
--- | ---
SerializableOptional<LogLevel> | The desired verbosity of the logs.

##### See Also

LogLevel

#### timeout

Gets or sets request timeout.

##### Declaration

    [Header("Timeouts in seconds")]
    [Tooltip("The timeout for ad requests.")]
    public SerializableOptional<float> timeout

##### Field Value

Type | Description
--- | ---
SerializableOptional<float> | The timeout for ad requests.

##### Remarks

In seconds

##### See Also

Timeout